// FullAccess
resource "azurerm_role_definition" "azure_cosmos_db_fullaccess_definition" {
  name              = "azure-cosmos-db-fullaccess-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = [
      "Microsoft.DocumentDB/register/action",
      "Microsoft.DocumentDB/operationResults/read",
      "Microsoft.DocumentDB/databaseAccountNames/read",
      "Microsoft.DocumentDB/databaseAccounts/read",
      "Microsoft.DocumentDB/databaseAccounts/write",
      "Microsoft.DocumentDB/databaseAccounts/listKeys/action",
      "Microsoft.DocumentDB/databaseAccounts/readonlykeys/action",
      "Microsoft.DocumentDB/databaseAccounts/regenerateKey/action",
      "Microsoft.DocumentDB/databaseAccounts/listConnectionStrings/action",
      "Microsoft.DocumentDB/databaseAccounts/changeResourceGroup/action",
      "Microsoft.DocumentDB/databaseAccounts/failoverPriorityChange/action",
      "Microsoft.DocumentDB/databaseAccounts/offlineRegion/action",
      "Microsoft.DocumentDB/databaseAccounts/onlineRegion/action",
      "Microsoft.DocumentDB/databaseAccounts/delete",
      "Microsoft.DocumentDB/databaseAccounts/restore/action",
      "Microsoft.DocumentDB/databaseAccounts/backup/action",
      "Microsoft.DocumentDB/databaseAccounts/readonlykeys/read",
      "Microsoft.DocumentDB/databaseAccounts/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/targetRegion/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/sourceRegion/targetRegion/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/region/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitions/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitionKeyRangeId/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitionKeyRangeId/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/read",
      "Microsoft.DocumentDB/operations/read",
      "Microsoft.DocumentDB/locations/deleteVirtualNetworkOrSubnets/action",
      "Microsoft.DocumentDB/locations/deleteVirtualNetworkOrSubnets/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/delete",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/read",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/write",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/delete",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/validate/action",
      "Microsoft.DocumentDB/locations/operationsStatus/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/operationResults/read",
    ]

    not_actions = []
  }
}

// ReadOnly
resource "azurerm_role_definition" "azure_cosmos_db_readonly_definition" {
  name              = "azure-cosmos-db-readonly-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = [
      "Microsoft.DocumentDB/operationResults/read",
      "Microsoft.DocumentDB/databaseAccountNames/read",
      "Microsoft.DocumentDB/databaseAccounts/read",
      "Microsoft.DocumentDB/databaseAccounts/readonlykeys/read",
      "Microsoft.DocumentDB/databaseAccounts/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/targetRegion/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/sourceRegion/targetRegion/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/region/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitions/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitionKeyRangeId/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitionKeyRangeId/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/read",
      "Microsoft.DocumentDB/operations/read",
      "Microsoft.DocumentDB/locations/deleteVirtualNetworkOrSubnets/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/read",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/read",
      "Microsoft.DocumentDB/locations/operationsStatus/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/operationResults/read",
    ]

    not_actions = [
      "Microsoft.DocumentDB/register/action",
      "Microsoft.DocumentDB/databaseAccounts/write",
      "Microsoft.DocumentDB/databaseAccounts/listKeys/action",
      "Microsoft.DocumentDB/databaseAccounts/readonlykeys/action",
      "Microsoft.DocumentDB/databaseAccounts/regenerateKey/action",
      "Microsoft.DocumentDB/databaseAccounts/listConnectionStrings/action",
      "Microsoft.DocumentDB/databaseAccounts/changeResourceGroup/action",
      "Microsoft.DocumentDB/databaseAccounts/failoverPriorityChange/action",
      "Microsoft.DocumentDB/databaseAccounts/offlineRegion/action",
      "Microsoft.DocumentDB/databaseAccounts/onlineRegion/action",
      "Microsoft.DocumentDB/databaseAccounts/delete",
      "Microsoft.DocumentDB/databaseAccounts/restore/action",
      "Microsoft.DocumentDB/databaseAccounts/backup/action",
      "Microsoft.DocumentDB/locations/deleteVirtualNetworkOrSubnets/action",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/delete",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/write",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/delete",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/validate/action",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/write",
    ]
  }
}

// NoAccess
resource "azurerm_role_definition" "azure_cosmos_db_noaccess_definition" {
  name              = "azure-cosmos-db-noaccess-definition"
  scope             = "/subscriptions/${var.subscription_id}"
  assignable_scopes = "/subscriptions/${var.subscription_id}"

  permissions {
    actions = []

    not_actions = [
      "Microsoft.DocumentDB/register/action",
      "Microsoft.DocumentDB/operationResults/read",
      "Microsoft.DocumentDB/databaseAccountNames/read",
      "Microsoft.DocumentDB/databaseAccounts/read",
      "Microsoft.DocumentDB/databaseAccounts/write",
      "Microsoft.DocumentDB/databaseAccounts/listKeys/action",
      "Microsoft.DocumentDB/databaseAccounts/readonlykeys/action",
      "Microsoft.DocumentDB/databaseAccounts/regenerateKey/action",
      "Microsoft.DocumentDB/databaseAccounts/listConnectionStrings/action",
      "Microsoft.DocumentDB/databaseAccounts/changeResourceGroup/action",
      "Microsoft.DocumentDB/databaseAccounts/failoverPriorityChange/action",
      "Microsoft.DocumentDB/databaseAccounts/offlineRegion/action",
      "Microsoft.DocumentDB/databaseAccounts/onlineRegion/action",
      "Microsoft.DocumentDB/databaseAccounts/delete",
      "Microsoft.DocumentDB/databaseAccounts/restore/action",
      "Microsoft.DocumentDB/databaseAccounts/backup/action",
      "Microsoft.DocumentDB/databaseAccounts/readonlykeys/read",
      "Microsoft.DocumentDB/databaseAccounts/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/targetRegion/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/percentile/sourceRegion/targetRegion/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/metricDefinitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/usages/read",
      "Microsoft.DocumentDB/databaseAccounts/region/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitions/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitions/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/region/databases/collections/partitionKeyRangeId/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitionKeyRangeId/metrics/read",
      "Microsoft.DocumentDB/databaseAccounts/databases/collections/partitions/read",
      "Microsoft.DocumentDB/operations/read",
      "Microsoft.DocumentDB/locations/deleteVirtualNetworkOrSubnets/action",
      "Microsoft.DocumentDB/locations/deleteVirtualNetworkOrSubnets/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/delete",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/delete",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/read",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/write",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/delete",
      "Microsoft.DocumentDB/databaseAccounts/privateEndpointConnectionProxies/validate/action",
      "Microsoft.DocumentDB/locations/operationsStatus/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/containers/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/tables/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/collections/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/keyspaces/tables/settings/operationResults/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/write",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/read",
      "Microsoft.DocumentDB/databaseAccounts/apis/databases/graphs/settings/operationResults/read",
    ]
  }
}
